List Quotes

Retrieves basic information for all sales quotes assigned to the Company user. If the user's [quote permissions](#buyer-permissions) are set to the **Company** level, this will also return quotes assigned to all buyers in the Company account. The information in the response is equivalent to the details displayed in the quotes list, such as dates for creation and the last edit, or the status. Use [Get Quote Details](#get-quote-details) to return the information that is available while viewing a particular quote. Equivalent Storefront GraphQL Query: `quotes`.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Query parameters

offsetintegerOptional

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptional
Determines the number of records to return per page. If left blank, this defaults to '10'.
sortByenumOptionalDefaults to updatedAt

Sorts results by last updated date (updatedAt), creation date (createdAt), expiration date (expiredAt), quote number (quoteNumber), quote title (title), sales rep name (salesRep), or quote status (status).

orderByenumOptionalDefaults to DESC
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
qstringOptional
Enter quote information to return partial and exact matches. Accepted information fields include number, title, sales rep name, and Company user first and last name.
quoteNumberstringOptional
Enter a full or partial quote number to retrieve relevant quotes.
companystringOptional
Enter a Company name to retrieve relevant quotes. The response only retrieves quotes from a buyer's Company account by default.
salesRepstringOptional
The name of the sales rep assigned to the quote.
statusenumOptional

The frontend status of the quote. Note that these are not the same as statuses observed in the B2B Edition control panel. See Quote Statuses for more information.

Allowed values:
quoteTitlestringOptional
The external title given to the quote.
createdBystringOptional
The name of the sales rep or buyer who created the quote.
dateCreatedBeginAtstringOptional
Enter a date to retrieve all quotes created after that time.
dateCreatedEndAtstringOptional
Enter a date to retrieve all quotes created before that time.
dateUpdatedBeginAtstringOptional
Enter a date to retrieve all quotes modified after that time.
dateUpdatedEndAtstringOptional
Enter a date to retrieve all quotes modified before that time.
dateExpiredBeginAtstringOptional
Enter a date to retrieve all quotes that expired after that time.
dateExpiredEndAtstringOptional
Enter a date to retrieve all quotes that expired before that time.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS